[ARVADOS] updated: be8fb7271e3a416818cab04498e5b1ebe877b4fe
Git user
git at public.curoverse.com
Fri Mar 4 11:10:50 EST 2016
Summary of changes:
sdk/cwl/test_with_arvbox.sh | 63 +++++++++++++++++++++++++++++++++++++++++++++
1 file changed, 63 insertions(+)
create mode 100755 sdk/cwl/test_with_arvbox.sh
via be8fb7271e3a416818cab04498e5b1ebe877b4fe (commit)
from 0f9285a458f0f7a86d9877d5fcf65d3f9d14ec35 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit be8fb7271e3a416818cab04498e5b1ebe877b4fe
Author: Peter Amstutz <peter.amstutz at curoverse.com>
Date: Fri Mar 4 11:02:44 2016 -0500
Self test script for running CWL conformance tests on arvados-cwl-runner
against Arvados arvbox instance. refs #8558
diff --git a/sdk/cwl/test_with_arvbox.sh b/sdk/cwl/test_with_arvbox.sh
new file mode 100755
index 0000000..83ba66b
--- /dev/null
+++ b/sdk/cwl/test_with_arvbox.sh
@@ -0,0 +1,63 @@
+#!/bin/sh
+
+if ! which arvbox >/dev/null ; then
+ export PATH=$PATH:$(readlink -f $(dirname $0)/../../tools/arvbox/bin)
+fi
+
+reset_container=1
+leave_running=0
+
+while test -n "$1" ; do
+ arg="$1"; shift
+ case "$arg" in
+ --no-reset-container)
+ reset_container=0
+ ;;
+ --leave-running)
+ leave_running=1
+ ;;
+ *)
+ break
+ ;;
+ esac
+done
+
+if test -z "$ARVBOX_CONTAINER" ; then
+ export ARVBOX_CONTAINER=cwltest
+fi
+
+if test $reset_container = 1 ; then
+ arvbox reset -f
+ arvbox build dev
+fi
+
+arvbox start dev
+
+arvbox pipe <<EOF
+set -e
+
+cd /usr/src/arvados/sdk/cwl
+python setup.py sdist
+pip_install \$(ls dist/arvados-cwl-runner-*.tar.gz | tail -n1)
+
+mkdir -p /tmp/cwltest
+cd /tmp/cwltest
+if ! test -d common-workflow-language ; then
+ git clone https://github.com/common-workflow-language/common-workflow-language.git
+fi
+cd common-workflow-language
+git pull
+export ARVADOS_API_HOST=localhost:8000
+export ARVADOS_API_HOST_INSECURE=1
+export ARVADOS_API_TOKEN=\$(cat /var/lib/arvados/superuser_token)
+env
+exec ./run_test.sh "$@"
+EOF
+
+CODE=$?
+
+if test $leave_running = 0 ; then
+ arvbox stop
+fi
+
+exit $CODE
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list